from Screens.Screen import Screen
from Screens.Console import Console
from Components.MenuList import MenuList
from Components.ActionMap import ActionMap
from Plugins.Plugin import PluginDescriptor

from enigma import getDesktop

DESKHEIGHT = getDesktop(0).size().height()
skin_path = "/usr/lib/enigma2/python/Plugins/Extensions/Zoom/Skin/"

class Zoom(Screen):

    def __init__(self, session, args = None):
        self.session = session
        if DESKHEIGHT < 1000:		
            skin = skin_path + 'menuhd.xml'
        else:	
            skin = skin_path + 'menufullhd.xml'
        with open(skin, 'r') as f:
            self.skin = f.read()

        list = []
        list.append((' (1) All server download ', 'com_1'))
        list.append((' (2) Restart CAM ', 'com_2'))
        list.append((' (3) Insatll ..Ncam ', 'com_3'))
        list.append((_('Exit'), 'exit'))
        Screen.__init__(self, session)
        self['myMenu'] = MenuList(list)
        self['myActionMap'] = ActionMap(['SetupActions'], {'ok': self.go, 'cancel': self.cancel}, -1)

    def go(self):
        returnValue = self['myMenu'].l.getCurrentSelection()[1]
        print('\n[Zoom] returnValue: ' + returnValue + '\n')
        if returnValue is not None:
            if returnValue == 'com_0':
                self.prombt('')
            elif returnValue == 'com_1':
                self.prombt('/bin/echo downloading... ; /usr/script/BUTTON.sh')
            elif returnValue == 'com_2':
                self.prombt('/bin/echo restart... ; /usr/script/restart.sh')
            elif returnValue == 'com_3':
                self.prombt('/bin/echo install.. ; /usr/script/ncam2.sh')
            else:
                print('\n[Zoom] cancel\n')
                self.close(None)

    def prombt(self, com):
        self.session.open(Console, _('start shell com: %s') % com, ['%s' % com])

    def cancel(self):
        print('\n[Zoom] cancel\n')
        self.close(None)


def main(session, **kwargs):
    print('\n[Zoom] start\n')
    session.open(Zoom)


def Plugins(**kwargs):
    return [
        PluginDescriptor(name='Zoom', 
        description=_('plugin Zoom'), 
        where=PluginDescriptor.WHERE_PLUGINMENU, icon='plugin.png', fnc=main), 

        PluginDescriptor(name='Zoom', 
        description=_('www.dreamosat-forum.com'), 
        where=PluginDescriptor.WHERE_EXTENSIONSMENU, icon='plugin.png', fnc=main)]